package com.sv.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 教练
 *
 * @author zhaoziyu
 * @since 2018-08-06
 */
public class Coach implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 图像
     */
    private String avatar;

    /**
     * 短文介绍
     */
    private String content;

    /**
     * 介绍
     */
    private String description;

    /**
     * 签到二维码
     */
    private String qrCode;

    /**
     * 微信二维码
     */
    private String wechatCode;

    /**
     * 场馆类型
     */
    private Integer venueType;

    /**
     * 平台来源ID
     */
    private Integer platformId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置昵称
     *
     * @param nickname 昵称
     */
    public void setNickname(String nickname){
        this.nickname = nickname;
    }

    /**
     * 获取昵称
     *
     * @return 昵称
     */
    public String getNickname(){
        return nickname;
    }


    /**
     * 设置图像
     *
     * @param avatar 图像
     */
    public void setAvatar(String avatar){
        this.avatar = avatar;
    }

    /**
     * 获取图像
     *
     * @return 图像
     */
    public String getAvatar(){
        return avatar;
    }


    /**
     * 设置短文介绍
     *
     * @param content 短文介绍
     */
    public void setContent(String content){
        this.content = content;
    }

    /**
     * 获取短文介绍
     *
     * @return 短文介绍
     */
    public String getContent(){
        return content;
    }


    /**
     * 设置介绍
     *
     * @param description 介绍
     */
    public void setDescription(String description){
        this.description = description;
    }

    /**
     * 获取介绍
     *
     * @return 介绍
     */
    public String getDescription(){
        return description;
    }


    /**
     * 设置二维码
     *
     * @param qrCode 二维码
     */
    public void setQrCode(String qrCode){
        this.qrCode = qrCode;
    }

    /**
     * 获取二维码
     *
     * @return 二维码
     */
    public String getQrCode(){
        return qrCode;
    }


    /**
     * 设置场馆类型
     *
     * @param venueType 场馆类型
     */
    public void setVenueType(Integer venueType){
        this.venueType = venueType;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVenueType(){
        return venueType;
    }


    /**
     * 设置平台来源ID
     *
     * @param platformId 平台来源ID
     */
    public void setPlatformId(Integer platformId){
        this.platformId = platformId;
    }

    /**
     * 获取平台来源ID
     *
     * @return 平台来源ID
     */
    public Integer getPlatformId(){
        return platformId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public String getWechatCode() {
        return wechatCode;
    }

    public void setWechatCode(String wechatCode) {
        this.wechatCode = wechatCode;
    }
}